Edit an existing message in a conversation
curl --request POST \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"mentions": [
{
"configurationId": "<string>"
}
]
}
'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/edit"
payload = {
"content": "<string>",
"mentions": [{ "configurationId": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mentions: [{configurationId: '<string>'}]})
};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/messages/{mId}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {},
"agentMessages": "<array>"
}Conversations
Edit an existing message in a conversation
POST
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
messages
/
{mId}
/
edit
Edit an existing message in a conversation
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
Workspace ID
Conversation ID
Message ID to edit
Body
application/json
⌘I